Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 70254 - Code folds expanded when scrolling caret over it
Code folds expanded when scrolling caret over it
Status: VERIFIED FIXED
Product: editor
Classification: Unclassified
Component: Code folding
5.x
All All
: P2 (vote)
: 5.x
Assigned To: issues@editor
issues@editor
: REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-12 11:06 UTC by Milan Kubec
Modified: 2007-11-05 13:39 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Milan Kubec 2005-12-12 11:06:18 UTC
[release50-200512111900, JDK 1.5.0_06]

Steps to reproduce:
1) Have java class with collapsed source folds
2) Move caret one line above the line with fold, to the middle of the fold
marker rectangle with {...} inside it
3) Press arrow down
Fold is expanded.
Comment 1 Milan Kubec 2005-12-13 08:51:32 UTC
It's regression against Beta2.
Comment 2 Martin Roskanin 2005-12-15 09:01:04 UTC
fixed in [maintrunk]

DIFF:
http://editor.netbeans.org/source/browse/editor/libsrc/org/netbeans/editor/Utilities.java?r1=1.77&r2=1.78

Mila, Roman, could you please review/test the fix? Thanks
Comment 3 Miloslav Metelka 2005-12-15 12:22:07 UTC
I approve the fix.
Comment 4 Milan Kubec 2005-12-16 09:20:05 UTC
Fix verified in trunk build 200512151900.
Comment 5 Martin Roskanin 2005-12-16 09:47:34 UTC
integrated into [release50]
Comment 6 Martin Roskanin 2005-12-16 09:47:48 UTC
/cvs/editor/libsrc/org/netbeans/editor/Utilities.java,v  <--  Utilities.java
new revision: 1.77.2.1; previous revision: 1.77
Comment 7 Milan Kubec 2005-12-20 12:39:58 UTC
Verified in release50-200512192030.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo